<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Survey Input</title>
    <style>
        #data {
            margin: 2em auto;
            display: block;
            width: 100%;
            max-width: 600px;
            padding: 0px;
            height: 500px;
            max-height: 70vh;
        }

        #drop_zone {
            max-width: 600px;
            border: 1px solid green;
            background-color: rgb(156, 204, 156);
            margin: 2em auto;
            text-align: center;
            padding: 5em 0px;
        }

        #button_container {
            width: 100%;
            max-width: 600px;
            display: flex;
            justify-content: flex-end;
            padding: 0px;
            margin: 0px auto;
        }
    </style>
    <script>
        function dropHandler(ev) {
            console.log('File(s) dropped');

            // Prevent default behavior (Prevent file from being opened)
            ev.preventDefault();

            if (ev.dataTransfer.items) {
                // Use DataTransferItemList interface to access the file(s)
                for (var i = 0; i < ev.dataTransfer.items.length; i++) {
                    // If dropped items aren't files, reject them
                    if (ev.dataTransfer.items[i].kind === 'file') {
                        var file = ev.dataTransfer.items[i].getAsFile();
                        console.log('... file[' + i + '].name = ' + file.name);
                        console.log(readFile(file));

                    }
                }
            } else {
                // Use DataTransfer interface to access the file(s)
                for (var i = 0; i < ev.dataTransfer.files.length; i++) {
                    console.log('... file[' + i + '].name = ' + ev.dataTransfer.files[i].name);
                    console.log("debug");
                    console.log(ev.dataTransfer.files[i]);
                }
            }

            // Pass event to removeDragData for cleanup
            removeDragData(ev)
        }

        function dragOverHandler(ev) {
            console.log('File(s) in drop zone');

            // Prevent default behavior (Prevent file from being opened)
            ev.preventDefault();
        }

        function removeDragData(ev) {
            console.log('Removing drag data')

            if (ev.dataTransfer.items) {
                // Use DataTransferItemList interface to remove the drag data
                ev.dataTransfer.items.clear();
            } else {
                // Use DataTransfer interface to remove the drag data
                ev.dataTransfer.clearData();
            }
        }


        function readFile(file) {
            var reader = new FileReader();
            reader.onload = function (e) {
                document.getElementById('data').value = reader.result;
            };
            reader.readAsText(file);
        }

        function post() {
            var xhr = new XMLHttpRequest();

            xhr.open('POST', 'answer');
            xhr.setRequestHeader('Content-Type', 'text/plain');
            xhr.onload = function () {
            /*
                if (xhr.status === 200) {
                    alert('success');
                    document.getElementById('data').value = "";
                } else {
                    alert('Request failed.  Returned status of ' + xhr.status);
                }
            */
            };
            var body = document.getElementById('data').value;
            xhr.setRequestHeader("len", body.length);
            xhr.send(body);
        }
    </script>
</head>

<body>

    <div>
        <h2>Survey Input</h2>
        <br>
        <div id="drop_zone" ondrop="dropHandler(event);" ondragover="dragOverHandler(event);">
            <p>Drag &amp; Drop File</p>
        </div>
        <textarea id="data"></textarea>
        <br>
        <div id="button_container">
            <button onclick="post();">Submit</button>
        </div>
    </div>

</body>

</html>